Bug 1007960 - (CVE-2013-4349) CVE-2013-4349 icedtea-web: CVE-2012-4540 issue not fixed in 1.4
CVE-2013-4349 icedtea-web: CVE-2012-4540 issue not fixed in 1.4
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
urgent Severity urgent
: ---
: ---
Assigned To: Red Hat Product Security
impact=critical,public=20130916,repor...
: Security
Depends On: 1007962 1008511 1009820
Blocks: 1007974
  Show dependency treegraph
 
Reported: 2013-09-13 11:49 EDT by Tomas Hoger
Modified: 2015-10-15 14:01 EDT (History)
7 users (show)

See Also:
Fixed In Version: icedtea-web 1.4.1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-11-04 08:36:13 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tomas Hoger 2013-09-13 11:49:50 EDT
An off-by-one heap-based buffer overflow was found in IcedTeaScriptableJavaObject::invoke function.  This problem was discovered in Oct 2012 and was assigned CVE-2012-4540.  For more detailed description, refer to bug 869040 comment 5.

The patch for this issue was applied to 1.1, 1.2, and 1.3 IcedTea-Web branches, see bug 869040 comment 10.  However, the fix did not get applied to head.  Version 1.4 released in May 2013 did not include the fix and is affected by the issue.

http://mail.openjdk.java.net/pipermail/distro-pkg-dev/2013-May/023195.html

A new CVE id CVE-2013-4349 was assigned for the missing fix in 1.4.
Comment 2 Tomas Hoger 2013-09-13 11:54:33 EDT
Statement:

Not vulnerable. This issue did not affect the versions of icedtea-web as shipped with Red Hat Enterprise Linux 6. The CVE-2012-4540 issue was previously corrected via RHSA-2012:1434.
Comment 4 Tomas Hoger 2013-09-16 09:51:47 EDT
Issue is now fixed in 1.4.1 and also corrected in head (for future 1.5 branch):

http://icedtea.classpath.org/hg/icedtea-web/rev/dbd98f24eebb
http://icedtea.classpath.org/hg/release/icedtea-web-1.4/rev/82e007d8b05a
Comment 5 Tomas Hoger 2013-09-16 09:53:14 EDT
Created icedtea-web tracking bugs for this issue:

Affects: fedora-all [bug 1008511]
Comment 6 Tomas Hoger 2013-09-19 04:23:50 EDT
IcedTea-Web 1.4.1 release announcement:

http://mail.openjdk.java.net/pipermail/distro-pkg-dev/2013-September/024752.html
Comment 8 Fedora Update System 2013-09-20 12:28:19 EDT
icedtea-web-1.4.1-0.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 9 Fedora Update System 2013-09-22 20:26:54 EDT
icedtea-web-1.4.1-0.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 10 Fedora Update System 2013-10-03 21:58:43 EDT
icedtea-web-1.4.1-0.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 11 Mark J. Cox (Product Security) 2013-11-22 06:29:43 EST
Note this CVE id was rejected by Mitre.

Note You need to log in before you can comment on or make changes to this bug.